﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

namespace MyDNSUpdate
{
    public partial class AboutForm : Form
    {
        public AboutForm()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void AboutForm_Load(object sender, EventArgs e)
        {
            Icon icon = Icon.ExtractAssociatedIcon(Assembly.GetExecutingAssembly().Location);
            Bitmap canvas = new Bitmap(pictureAppIcon.Width, pictureAppIcon.Height);
            Graphics g = Graphics.FromImage(canvas);
            g.DrawIcon(icon, 0, 0);
            g.Dispose();
            pictureAppIcon.Image = canvas;

            AssemblyProductAttribute asmprod = (AssemblyProductAttribute)Attribute.GetCustomAttribute(Assembly.GetExecutingAssembly(), typeof(AssemblyProductAttribute));
            Assembly asm = Assembly.GetExecutingAssembly();
            labelVerString.Text = asmprod.Product + " Ver." + asm.GetName().Version;

            AssemblyCopyrightAttribute asmcpy = (AssemblyCopyrightAttribute)Attribute.GetCustomAttribute(Assembly.GetExecutingAssembly(), typeof(AssemblyCopyrightAttribute));
            labelCopyright.Text = asmcpy.Copyright;

            this.Text = "About " + asmprod.Product + "...";
        }
    }
}
